import { QueryList, ElementRef } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { SelectorOption } from '../api/selector';
/** @hidden */
export declare class SelectorModalComponent<T> {
    modalInstance: NgbActiveModal;
    options: SelectorOption<T>[];
    filteredOptions: SelectorOption<T>[];
    filter: string;
    name: string;
    selectedIndex: number;
    hasGroups: boolean;
    itemChildren: QueryList<ElementRef>;
    private preventEdit;
    constructor(modalInstance: NgbActiveModal);
    ngOnInit(): void;
    onKeyDown(event: KeyboardEvent): void;
    onKeyUp(event: KeyboardEvent): void;
    onFilterChange(): void;
    filterMatches(option: SelectorOption<T>, terms: string[]): boolean;
    getOptionText(option: SelectorOption<T>): string;
    selectOption(option: SelectorOption<T>): void;
    canEditSelected(): boolean;
    close(): void;
}
